
// Assigns webtrends groups to pages by hostname or top level directory.
// Geoff Pack, June 2008
// last modified September 2011

var abcHost = location.host;
if (location.host.indexOf('www.') == 0) abcHost = location.host.substring(4); // strip leading www. 

var abcDirectories = location.pathname.split('/');
var abcGroup = null;
var abcDev = false;
var abcDebug = true;
//var abcClickTracking = true; // add this to individual sites/pages - before global.js is called!

var wtGroup = {
	'homepage': 'dcsm7b68l100000omxnmkhtxe_8u6k',
	'innovation': 'dcsz8ouk410000sdx4yn2h0ke_2x3c',
	'abcnow': 'dcshm3tph00000k7vkx5recp0_8y3q',
	'playback': 'dcsi46jfh10000gkaqgyfe0ke_1r6t',
	'science': 'dcs4e5k2o10000o26x7rjifm7_8t6p',
	'health': 'dcshvq1gn00000s10j90d0gm7_9b9l',	
	'portal': 'dcs3p4w9w00000c5k8806iqe4_3e9r',
	'news': 'dcsw4t3cy00000ctu0wdzjrq1_3q8k',
	'currentaffairs': 'dcspqk1vz000004f6a5zba0ke_3h9t',
	'tv': 'dcsf5c32a00000wcbyai4apl5_6h3i',
	'videoondemand': 'dcs90kxwj00000sxonigtz0ke_8e8g',
	'radioother': 'dcsv1kbc510000om5ahl26uxe_5w3w',	
	'rn': 'dcs2tby2210000kjsmeahasl5_1d8x',
	'classicfm': 'dcsq03m8200000sdd1ee0htl5_2d4y',
	'newsradio': 'dcseaqrvn10000shg208aiaa6_1x8q',
	'dig': 'dcszm9uu410000gs8q5buhul5_2x3j',
	'triplej': 'dcscaxv0g10000g8d832qt3wy_7b3y',
	'radioaustralia': 'dcsc7gx2e000008qdufo1usl5_4x1c',
	'australianetwork': 'dcs5lxb6900000ggvbs0j3tl5_7k7m',
	'local': 'dcsfoa7no000004nwf1r8lgm7_4i7i',
	'commercial': 'dcsip7xx100000k38423do0ke_2t4b',
	'kids': 'dcs4s5gld000004f2j5m7j0ke_4g6b',
	'rollercoaster': 'dcsxd1zvi10000ch5tblal0ke_1f6r',
	'indigenous': 'dcsfib2ys100008a1u276q0ke_3x5h',
	'grandstand': 'dcsk58g5210000cl04g95w0ke_2g9d',
	'other': 'dcsg85fae000004n0vfjpj8oa_9m4q',
	'shop': 'dcs2ou8li00000krm710niuq1_2x2x',
	'open': 'dcs0llglp00000gw39sqcaciw_2h5h',
	'disability': 'dcs3igratuz5bd2aw8rmeqjp2_5u4i'
};


switch (abcHost) {
	case 'search.abc.net.au':
		abcGroup = 'other';
		if (/collection=ABC_TV&form=programs/.test(location.search)) {
			abcGroup = 'tv';				
		}
		break;

	case 'arts.abc.net.au':
		abcGroup = 'other';
		break;

	case 'abctv.net.au':
		abcGroup = 'tv';
		if (abcDirectories[1] == 'abc3') { 
			abcGroup = 'rollercoaster'; // should catch 'abctv.net.au/abc3/'
		}
		break;

	case 'collectorsshowandtell.abc.net.au':
	case 'cnnnn.com':
	case 'summerheightshigh.com':
	case 'thepuredrop.com.au':
		abcGroup = 'tv';
		break;

	case 'radionational.net.au':
	case 'blogs.radionational.net.au':
	case 'kerriejean.com.au': 
		abcGroup = 'rn';
		break;

	case 'triplej.abc.net.au':
	case 'triplej.net.au':
	case 'triplej.yourevents.com.au':
	case 'triplejawol.typepad.com':
	case 'triplejunearthed.com':
	case 'triplejunearthed.com.au':
		abcGroup = 'triplej';
		break;

	case 'abcdigmusic.net.au':
	case 'abcjazz.net.au':
	case 'abccountry.net.au':
		abcGroup = 'dig';
		break;

	case 'radioaustralia.net.au':
	case 'khmer.radioaustralia.net.au':
	case 'blogs.radioaustralia.net.au':
	case 'rantang.com.au':
	case 'rantang.net.au':
	case 'bayvut.com.au':
	case '24hdanslepacifique.com':
		abcGroup = 'radioaustralia';
		break;

	case 'australianetwork.com':
		abcGroup = 'australianetwork';
		break;

	case 'heywire.abc.net.au':
		abcGroup = 'local';
		break;

	case 'shop.abc.net.au':
		abcGroup = 'shop';
		break;

	case 'abccommercial.com.au':
	case 'abccontentsales.com.au':
	case 'abccostumes.com.au':
	case 'abcmusicpublishing.com.au':
	case 'countdown.com.au':
	case 'organicgardener.com.au':
		abcGroup = 'commercial';
		break;

	case 'abc3quiz.abc.net.au':
	case 'cjthedj.abc.net.au':
	case 'club3.abc.net.au':
	case 'prankpatrol.abc.net.au':
	case 'staytuned.abc.net.au':
	case 'zimmertwins.com.au':
		abcGroup = 'rollercoaster';
		break;

	case 'scienceweek.info.au':
	case 'sleepsurvey.net.au':
	case 'starhunt.net.au':
	case 'nationalmemorytest.net.au':
	case 'multitaskingtest.net.au':
		abcGroup = 'science';
		break;

	case 'fantasycricket.abc.net.au':
	case 'tipping.abc.net.au':
		abcGroup = 'grandstand';
		break;
	
	case 'campaignpulse.abc.net.au':
		abcGroup = 'news';
		break;
		
	case 'open.abc.net.au':
		abcGroup = 'open';
		break;

	case 'blogs.abc.net.au':
		switch (abcDirectories[1]) {
			case '':
			case 'default.htm':
				abcGroup = 'other';
				break;
		
			// australia network
			case 'achievers':
			case 'learnenglish':
				abcGroup = 'australianetwork';
				break;
		
			// dig
			case 'dig':
				abcGroup = 'dig';
				break;
		
			// local
			case 'local':
			case 'localradio':
			case 'active':
			case 'australiaallover':
			case 'canberra':
			case 'greenarmy':
			case 'heywire':
			case 'inmotion':
			case 'lrawards':
			case 'nsw':
			case 'nt':
			case 'queensland':
			case 'rural':
			case 'sa':
			case 'tasmania':
			case 'victoria':
			case 'wa':
				abcGroup = 'local';
				break;
		
			// news
			case 'allpoints':
			case 'antonygreen':
			case 'articulate':
			case 'dispatches':
			case 'drumroll':
			case 'events':
			case 'news':
			case 'newseditors':
			case 'offair':
			case 'thebuzz':
			case 'thepollvault':
			case 'theshallowend':
			case 'thesportsdesk':
			case 'weatherman':
				abcGroup = 'news';
				break;

			// current affairs
			case 'theoverflow':
				abcGroup = 'currentaffairs';
				break;
		
			// ra
			case 'breakfastclub':
			case 'radioaustralia':
			case 'vietnamese':
				abcGroup = 'radioaustralia';
				break;
		
			// rn
			case 'allinthemind':
			case 'chinese':
			case 'radionational':
			case 'religion':
			case 'saturdayextra':
				abcGroup = 'rn';
				break;
		
			// science
			case 'the_green_room':
				abcGroup = 'science';
				break;
		
			// triple j
			case 'triplej':
			case 'triplejawol':
				abcGroup = 'triplej';
				break;
		
			// tv
			case 'abc_tv':
			case 'catalyst':	
			case 'chaser':
			case 'fangingit':
			case 'goodgame':
			case 'lifeat2':
			case 'parenting':
				abcGroup = 'tv';
				break;
		
			// grandstand
			case 'grandstand':
			case 'sport':
			case 'active':
			case 'worldcup':
				abcGroup = 'grandstand';
				break;
		
			// other
			case 'allpoints':
			case 'ausnetnews':
			case 'business':
			case 'figaro_pho':
			case 'olympics':
				abcGroup = 'other';
				break;
		
			default:
				abcGroup = 'other';
		}
		break;

	case 'www2b.abc.net.au':
		switch (abcDirectories[1]) {
		
			// innovation
			case 'EventCentral':	abcGroup = 'innovation'; break;
		
			// science
			case 'science':		abcGroup = 'science'; break;
			case 'nature':
			case 'aceday':
			case 'catapult':	abcGroup = 'science'; break;
		
			// health
			case 'health':		abcGroup = 'health'; break;
		
			// arts
			case 'arts':
			case 'postcode':	abcGroup = 'other'; break;
		
			// religion and ethics
			case 'religion':	abcGroup = 'other'; break;
		
			// news
			case 'btn':
			case 'elections':
			case 'Elections':
			case 'netball':
			case 'news':		abcGroup = 'news'; break;
		
			// current affairs
			case 'austory':
			case 'foreign':
			case 'landline':
			case 'lateline':	abcGroup = 'currentaffairs'; break;
		
			// tv sites that do not redirect to /tv/...
			case 'atthemovies':
			case 'chaser':
			case 'cnnnn':
			case 'compass':
			case 'doublethefist':
			case 'enoughrope':
			case 'fedsquare':
			case 'firsttuesday':
			case 'gardening':
			case 'kathandkim':
			case 'loveletters':
			case 'myfavouritealbum':
			case 'myfavouritefilm':
			case 'newinventors':
			case 'rage':
			case 'schoolstv':
			case 'tvpublicity':
			case 'wildwatch':
			case 'tv':			abcGroup = 'tv'; break;
		
			// rn
			case 'counterpoint':
			case 'singersofrenown':
			case 'rn':			abcGroup = 'rn'; break;
		
			// dig
			case 'dig': 		abcGroup = 'dig'; break;
		
			//triplej
			case 'triplej':		abcGroup = 'triplej'; break;
		
			// radio australia
			case 'ra':			abcGroup = 'radioaustralia'; break;
		
			// local
			case 'australiaallover':
			case 'backyard':
			case 'contact':
			case 'heywire':
			case 'overnights':
			case 'rural':
			case 'sundaynights':
			case 'victoria':  	abcGroup = 'local'; break;
		
			// corporate
			case 'corp':		abcGroup = 'other'; break;
		
			// kids
			case 'children': 	abcGroup = 'kids'; break;
		
			// rollercoaster
			case 'abc3':
			case 'chiko':
			case 'rollercoaster':	abcGroup = 'rollercoaster'; break;
		
			// indigenous
			case 'message':
			case 'messageclub':
			case 'missionvoices': 	abcGroup = 'indigenous'; break;
		
			// grandstand
			case 'tennis': 		abcGroup = 'grandstand'; break;
		
			// message boards
			case 'tmb':
				if (abcDirectories[2] == 'Client') {
					// find the board number
					//var tmbPattern = new RegExp("b=[0-9]+");
					//var tmbBoardNumber = tmbPattern.exec(location.search);
					var tmbBoardNumber = /b=[0-9]+/.exec(location.search);
					tmbBoardNumber = tmbBoardNumber[0].substring(2);
		
					switch (tmbBoardNumber) {
		
						case '32':
						case '86': 	abcGroup = 'other'; break;
		
						case '11': 	abcGroup = 'australianetwork'; break;
		
						case '88': 	abcGroup = 'classicfm'; break;
		
						case '65': 	abcGroup = 'commercial'; break;
		
						case '21':
						case '27':
						case '37':
						case '55':
						case '56':
						case '100': abcGroup = 'currentaffairs'; break;
		
						case '45': 	abcGroup = 'dig'; break;
		
						case '66':
						case '106': abcGroup = 'grandstand'; break;
		
						case '79':
						case '85': 	abcGroup = 'health'; break;
		
						case '14':
						case '22':
						case '115':
						case '118': abcGroup = 'indigenous'; break;
		
						case '62':
						case '98':
						case '112': abcGroup = 'innovation'; break;
		
						case '4':
						case '7':
						case '9':
						case '10':
						case '12':
						case '15':
						case '16':
						case '23':
						case '29':
						case '48':
						case '49':
						case '54':
						case '58':
						case '74':
						case '75':
						case '78':
						case '84':
						case '92':
						case '97':
						case '101': abcGroup = 'local'; break;
		
						case '31':
						case '35':
						case '36':
						case '47':
						case '67':
						case '69':
						case '93':
						case '94':
						case '103':
						case '104': abcGroup = 'news'; break;
		
						case '34':
						case '73':
						case '77': 	abcGroup = 'radioaustralia'; break;
		
						case '5':
						case '17':
						case '30':
						case '44':
						case '119': abcGroup = 'rn'; break;
		
						case '2':
						case '6':
						case '50':
						case '142':
						case '210':
						case '238':				
						case '250': abcGroup = 'rollercoaster'; break;
		
						case '52':
						case '80':
						case '96':
						case '109':
						case '120': 
						case '282': abcGroup = 'science'; break;
		
						case '3':
						case '99':
						case '105': abcGroup = 'triplej'; break;
		
						case '8':
						case '13':
						case '19':
						case '20':
						case '24':
						case '25':
						case '26':
						case '28':
						case '33':
						case '51':
						case '57':
						case '59':
						case '63':
						case '64':
						case '70':
						case '71':
						case '72':
						case '76':
						case '81':
						case '82':
						case '83':
						case '87':
						case '89':
						case '90':
						case '102':
						case '108':
						case '113':
						case '114':
						case '116':
						case '117': abcGroup = 'tv'; break;
					
						default: abcGroup = 'other';
					}
				}
				break;
		
			default: abcGroup = 'other';
		}
		break;

	//case 'abc.net.au':
	//case 'abc.com.au':
	//case 'www.abc.com.au':
	//case 'www.abc.net.au':
	//case 'nmdev.abc.net.au':
	//case 'wwwdev.abc.net.au':
	// all other servers should resolve to www or have same directory structure (e.g. dev servers)
	
	default:
		switch (abcDirectories[1]) {
		
			// abc online / front-page
			case '':
			case 'default.htm':
			case 'default_b.htm':
			case 'default_800.htm':
			case 'homepage':
			case 'services':		abcGroup = 'homepage'; break;
		
			// abc online / front-page group
			case 'communities':
			case 'copyright.htm':
			case 'privacy.htm':
			case 'conditions.htm':
			case 'topics.htm':
			case 'help':			abcGroup = 'other'; break;
		
			// innovation
			case 'innovation':
			case 'bestof':
			case 'earth':
			case 'mobile':
			case 'thebigdiary':
			case 'upload':			abcGroup = 'innovation'; break;
		
			case 'now':				abcGroup = 'abcnow'; break;
		
			case 'playback':
			case 'playback_':		abcGroup = 'playback'; break;

			case 'disability':
			case 'rampup':			abcGroup = 'disability'; break;

		
			// science
			case 'science':
			case 'labnotes':
			case 'greenatwork':
			case 'dinosaurs':
			case 'beasts':
			case 'acedayjobs':
			case 'catapult':		abcGroup = 'science'; break;
		
			// health
			case 'health':			abcGroup = 'health'; break;
		
			// portals
			case 'arts':
			case 'environment':
			case 'religion':
			case 'technology':		abcGroup = 'portal'; break;


			// polls
			case 'polls':
				abcGroup = 'other';
				if (abcDirectories[2] == 'thedrum') {
					abcGroup = 'news';  // should catch '/polls/thedrum'
				}
				break;			
		
			// news
			case 'news':
				abcGroup = 'news';
				if (abcDirectories[2] == 'breakfast') {
					abcGroup = 'currentaffairs';  // should catch '/news/breakfast'
				}
				break;

			// other news
			case 'btn':
			case 'elections':
			case 'netball':
			case 'olympics':
			case 'thedrum':
			case 'unleashed':
			case 'winterolympics':
			case 'worldcup':
			case 'worldcup2002':	abcGroup = 'news'; break;
		
			// current affairs
			case '4corners':
			case '7.30':
			case 'am':
			case 'aroundtheworld':
			case 'austory':
			case 'australiawide':
			case 'businessbreakfast':
			case 'correspondents':
			case 'foreign':
			case 'insidebusiness':
			case 'insiders':
			case 'landline':
			case 'lateline':
			case 'latelinebusiness':
			case 'pm':
			case 'sportoffsiders':
			case 'stateline':
			case 'worldtoday': 		abcGroup = 'currentaffairs'; break;
		
			// tv
			case 'tv':
				abcGroup = 'tv';
				if (abcDirectories[2] == 'messagestick') {
					abcGroup = 'indigenous'; // should catch '/tv/messagestick/'
				}
				break;

			// other tv - all sites that do not redirect to /tv
			case '100years':
			case '4minutewonders':
			case 'aplacetothink':
			case 'architecture':
			case 'atthemovies':
			case 'blackfriday':
			case 'catalyst':
			case 'changi':
			case 'cnnnn':
			case 'compass':
			case 'documentaryonline':
			case 'dustonmyshoes':
			case 'dynasties':
			case 'ebiz':
			case 'einsteinfactor':
			case 'etimor':
			case 'fly':
			case 'flytv':
			case 'gameon':
			case 'gardening':
			case 'glasshouse':
			case 'gnt':
			case 'gondola':
			case 'grassroots':
			case 'hotchips':
			case 'http':
			case 'jamescancook':
			case 'jtv':
			case 'juniors':
			case 'kombi':
			case 'kyliekwong':
			case 'lifeat2':
			case 'longway':
			case 'mda':
			case 'mediawatch':
			case 'miniseries':
			case 'myfavouritealbum':
			case 'myfavouritebook':
			case 'myfavouritefilm':
			case 'nature':
			case 'occasionalcook':
			case 'pacificstories':
			case 'passions':
			case 'plumpton':
			case 'quantum':
			case 'rage':
			case 'recovery':
			case 'schoolstv':
			case 'seachange':
			case 'secretrecipes':
			case 'storm':
			case 'stowaways':
			case 'strictlydancing':
			case 'sundayspectrum':
			case 'surfingmenu':
			case 'tasting':
			case 'thingo':
			case 'time':
			case 'treasurehunt':
			case 'truths':
			case 'walling':
			case 'wing':			abcGroup = 'tv'; break;
		
			// vod
			case 'vod':				abcGroup = 'videoondemand'; break;
		
			// radio
			case 'radio':
			case 'pipeline':
			case 'streaming':
			case 'wideopenroad':	abcGroup = 'radioother'; break;
			
			//ABC Open
			case 'open':			abcGroup = 'open'; break;
		
			// radio national
			case 'radionational':
			case 'rn':
			case 'comms':
			case 'money':			abcGroup = 'rn'; break;
		
			// classic fm
			case 'classic':			abcGroup = 'classicfm'; break;
		
			// news radio
			case 'newsradio':		abcGroup = 'newsradio'; break;
		
			// dig
			case 'dig':				abcGroup = 'dig'; break;
		
			// triple j
			case 'triplej':
			case 'noise':			abcGroup = 'triplej'; break;
		
			// radio australia
			case 'ra':
			case 'global':
			case 'power':
			case 'timetotalk':		abcGroup = 'radioaustralia'; break;
		
			// australia network
			case 'international': 	abcGroup = 'australianetwork'; break;
		
			// local
			case 'local':
			case 'rural':
			case 'australiaallover':
			case 'adelaide':
			case 'alicesprings':
			case 'backyard':
			case 'ballarat':
			case 'brisbane':
			case 'brokenhill':
			case 'built':
			case 'canberra':
			case 'capricornia':
			case 'centralcoast':
			case 'centralvic':
			case 'centralwest':
			case 'coffscoast':
			case 'coodabeens':
			case 'darwin':
			case 'emergency':
			case 'esperance':
			case 'eyre':
			case 'farnorth':
			case 'freshair':
			case 'gippsland':
			case 'goldcoast':
			case 'goldfields':
			case 'goulburnmurray':
			case 'greatsouthern':
			case 'heywire':
			case 'hobart':
			case 'humouraustralia':
			case 'illawarra':
			case 'katherine':
			case 'kimberley':
			case 'melbourne':
			case 'midnorthcoast':
			case 'milduraswanhill':
			case 'newcastle':
			case 'newengland':
			case 'northwest':
			case 'northwestqld':
			case 'nightlife':
			case 'northandwest':
			case 'northcoast':
			case 'northqld':
			case 'northtas':
			case 'northwestwa':
			case 'nsw':
			case 'nt':
			case 'overnights':
			case 'oztrax':
			case 'perth':
			case 'profiles':
			case 'queensland':
			case 'recipes':
			case 'riverina':
			case 'riverland':
			case 'sa':
			case 'snc':
			case 'shepparton':
			case 'shortstories':
			case 'snapshots':
			case 'southcoast':
			case 'southeastnsw':
			case 'southeastsa':
			case 'southqld':
			case 'sundaynights':
			case 'southwestvic':
			case 'southwestwa':
			case 'sundaynights':
			case 'sundayprofile':
			case 'sundays':
			case 'sunshine':
			case 'sydney':
			case 'tasmania':
			case 'torch':
			case 'tropic':
			case 'tropicalnorth':
			case 'upperhunter':
			case 'westernplains':
			case 'westernvic':
			case 'westqld':
			case 'westernqld':
			case 'wheatbelt':
			case 'widebay':
			case 'victoria':
			case 'wa':
			case 'water':
			case 'wordmap':			abcGroup = 'local'; break;
		
			// corporate
			case 'corp':
			case 'tours':
			case 'contact':
			case 'trailer':
			case 'reception':
			case 'archives':
			case 'jobs':			abcGroup = 'other'; break;
		
			// commercial
			case 'commercial':
			case 'enterprises':
			case 'abccontentsales':
			case 'abcresourcehire':
			case 'programsales':	abcGroup = 'commercial'; break;
		
			// kids
			case 'children':
			case 'abckids':
			case 'abcforkids':
			case 'abc4kids':
			case 'broadbandkids':
			case 'bligh':
			case 'chiko':
			case 'dogandcatnews':	abcGroup = 'kids'; break;
		
			// rollercoaster
			case 'rollercoaster':
			case 'abc3':
			case 'creaturefeatures':
			case 'spark':
			case 'silversun':
			case 'zimmertwins':		abcGroup = 'rollercoaster'; break;
		
			// education
			case 'bloke':
			case 'federation':
			case 'talkitup':
			case 'learn':
			case 'countusin':
			case 'wordmap':
			case 'oceans':
			case 'civics':
			case 'navigators':		abcGroup = 'other'; break;
		
			// indigenous
			case 'dustechoes':
			case 'indigenous':
			case 'message':
			case 'messageclub':
			case 'missionvoices':
			case 'speakingout':
			case 'usmob': 			abcGroup = 'indigenous'; break;
		
			// grandstand
			case 'paralympics':
			case 'sport':
			case 'commonwealthgames':
			case 'grandstand': 		abcGroup = 'grandstand'; break;
		
			default:				abcGroup = 'other';
		}
}

if ((abcHost == 'nmdev.abc.net.au') || (abcHost == 'wwwdev.abc.net.au')) {
	abcDev = true;
}

if (abcDebug && window.console) {	
	console.info("abcHost:  %s", abcHost);
	console.info("abcGroup: %s", abcGroup);
	console.info("abcDev:   %s", abcDev);
}

if (document.referrer == "http://nmdev.abc.net.au/includes/scripts/test.htm") {
	alert("abcHost:  " + abcHost + "\nabcGroup: " + abcGroup + "\nabcDev:   " + abcDev);
}

if (abcGroup && !abcDev) {
//if (abcGroup) {
	document.write('<scr'+'ipt src="http://www.abc.net.au/res/libraries/stats/webTrends/webtrends.js" type="text/javascript"><\/scr'+'ipt>');
}
